You are not logged in.

#1 2013-02-23 18:44:22

bebopson
Member
Registered: 2012-06-21
Posts: 2

[SOLVED] jruby upgrade fails: /dev/fd error

Hi, when I try to upgrade jruby (pacaur -y jruby) I get the following error:

/dev/fd/63: line 18: syntax error: unexpected end of file

AUR Targets  (1): jruby

Proceed with installation? [Y/n]
...
error: failed to commit transaction (conflicting files)
jruby: /opt/jruby/lib/ruby/gems/shared/cache/rake-10.0.3.gem exists in filesystem # a bunch of these for various files
...
Errors occurred, no packages were upgraded.
==> WARNING: Failed to install built package(s).
:: jruby cleaned

I ran pacman -Sc to clean out old packages, since the / filesystem was 97% full.  Still got the same error.

as root, ls -l /dev/fd/* gives:
ls: cannot access /dev/fd/255: No such file or directory
ls: cannot access /dev/fd/3: No such file or directory
lrwx------ 1 root root 64 Feb 23 13:42 /dev/fd/0 -> /dev/pts/3
lrwx------ 1 root root 64 Feb 23 13:42 /dev/fd/1 -> /dev/pts/3
lrwx------ 1 root root 64 Feb 23 13:42 /dev/fd/2 -> /dev/pts/3

Any idea what's going on here?

Last edited by bebopson (2013-02-24 15:26:20)

Offline

#2 2013-02-23 18:53:55

Spyhawk
Member
Registered: 2006-07-07
Posts: 410

Re: [SOLVED] jruby upgrade fails: /dev/fd error

This looks like a pacaur bug, due to the weird looking PKGBUILD. I guess the pacaur maintainer will have a look at it as soon as possible.
In the meantime, use makepkg (pacaur -de jruby && cd /tmp/pacaur-blabla/jruby && makepkg -si)

Edit: pacaur-git should now be working as expected.

Last edited by Spyhawk (2013-02-23 19:07:08)

Offline

#3 2013-02-23 19:07:27

bebopson
Member
Registered: 2012-06-21
Posts: 2

Re: [SOLVED] jruby upgrade fails: /dev/fd error

Thanks!  That pretty much worked, though I had to manually delete the rake gem.

Offline

Board footer

Powered by FluxBB